////////////////////////////////////////
/**************************************/
/*                                    */
/* Michael Goldbuch; Jrgen Dffinger */
/*                                    */
/* Mikroprozessortechnik              */
/* APL / LED	   		              */
/* Version 1.0.0                      */
/* 2011-06-07                         */
/*                                    */
/**************************************/
////////////////////////////////////////



/***************   ALL_LED_OFF   ***************/

ALL_LED_OFF:

	rcall FRONT_LED_OFF
	rcall BACKLED_RIGHT_OFF
	rcall BACKLED_LEFT_OFF
	rcall STATUS_LED_OFF



/***************   FRONT_LED_OFF   ***************/

FRONT_LED_OFF:

	sbi DDRD,6	
	cbi PORTD,6

ret



/***************   FRONT_LED_ON   ***************/

FRONT_LED_ON:

	sbi DDRD,6	
	sbi PORTD,6

ret



/**************   BACKLED_RIGHT_OFF   ***************/

BACKLED_RIGHT_OFF:

	sbi DDRD,7
	cbi PORTD,7
	sbi DDRC,0
	cbi PORTC,0

ret



/**************   BACKLED_RIGHT_ON   ***************/

BACKLED_RIGHT_ON:

	sbi DDRD,7
	cbi PORTD,7
	sbi DDRC,0
	sbi PORTC,0

ret



/**************   BACKLED_LEFT_OFF   ***************/

BACKLED_LEFT_OFF:

	sbi DDRD,7
	cbi PORTD,7
	sbi DDRC,1
	cbi PORTC,1

ret



/**************   BACKLED_LEFT_ON   ***************/

BACKLED_LEFT_ON:

	sbi DDRD,7
	cbi PORTD,7
	sbi DDRC,1
	sbi PORTC,1

ret



/**************   STATUS_LED_OFF   ***************/

STATUS_LED_OFF:
	
	sbi DDRB,0
	cbi PORTB,0
	sbi DDRD,2
	cbi PORTD,2

ret



/**************   STATUS_LED_RED   ***************/

STATUS_LED_RED:

	sbi DDRB,0
	cbi PORTB,0
	sbi DDRD,2
	sbi PORTD,2

ret



/**************   STATUS_LED_GREEN   ***************/

STATUS_LED_GREEN:

	sbi DDRB,0
	sbi PORTB,0
	sbi DDRD,2
	cbi PORTD,2

ret



/**************   STATUS_LED_ORANGE   ***************/

STATUS_LED_ORANGE:

	sbi DDRB,0
	sbi PORTB,0
	sbi DDRD,2
	sbi PORTD,2

ret



